﻿@using Portal.Models;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;
         
@model Toyota.Common.Web.MVC.ModelHolder
           
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

@section Script{
    $(document).ready(function(){
        grdData.Refresh();
    });
}

<table cellpadding="0" cellspacing="0" border="0">
    <tr>
        <td style="padding-right:8px">
        @Html.DevExpress().RoundPanel(
            settings =>
            {
                settings.Name = "frmHeader";
                settings.HeaderText = "";
                settings.ShowHeader = false;
                settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                settings.SetContent(() =>
                {
                    Html.RenderPartial("HeaderInvoiceTax");
                });
            }).GetHtml()
        </td>
        <td valign="top">
        @Html.DevExpress().RoundPanel(
            settings =>
            {
                settings.Name = "frmHeaderCreate";
                settings.HeaderText = "";
                settings.ShowHeader = false;
                settings.View = DevExpress.Web.ASPxRoundPanel.View.GroupBox;
                settings.SetContent(() =>
                {
                    Html.RenderPartial("HeaderInvoiceTaxCreate");
                });
            }).GetHtml()
        </td>
    </tr>
</table>

<div style="padding-top:8px">
    <table cellpadding="0" cellspacing="0" border="0">
       <tr>
            <td>
            @Html.Partial("InvoiceTaxCreationByMonthPartial", Model)
            </td>
        </tr>
    </table>
</div>

@Html.DevExpress().PopupControl(settings => {
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupSubmit";
    settings.Modal = true;
    settings.HeaderText = "Create Invoice Tax Confirmation";
    settings.SetContent(() => {
        Html.RenderPartial("PopupSubmit", null);
    });
}).GetHtml()

@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupCancel";
    settings.Modal = true;
    settings.HeaderText = "Cancel Invoice Tax Confirmation";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(350);
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupCancel", null);
    });
}).GetHtml()
